Bug 145877 - Unable to mount binfmt_misc
Summary: Unable to mount binfmt_misc
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: selinux-policy-strict   
(Show other bugs)
Version: rawhide
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Daniel Walsh
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-01-22 23:15 UTC by Ivan Gyurdiev
Modified: 2007-11-30 22:10 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-01-31 23:00:15 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Ivan Gyurdiev 2005-01-22 23:15:24 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.5)
Gecko/20041228 Firefox/1.0 Fedora/1.0-8

Description of problem:
audit(1106432709.480:0): avc:  denied  { mounton } for  pid=1458
exe=/bin/mount path=/proc/sys/fs/binfmt_misc dev=binfmt_misc ino=4568
scontext=system_u:system_r:mount_t
tcontext=system_u:object_r:binfmt_misc_fs_t tclass=dir


Version-Release number of selected component (if applicable):
selinux-policy-strict-1.21.2-7

How reproducible:
Didn't try

Steps to Reproduce:
    

Additional info:

Comment 1 Daniel Walsh 2005-01-24 20:52:54 UTC
Is this a normal behaviour?  What is trying to mount on top of
/proc/sys/fs/binfmt_misc?

Comment 2 Ivan Gyurdiev 2005-01-24 21:02:59 UTC
From /etc/fstab (I put that there):
none /proc/sys/fs/binfmt_misc binfmt_misc defaults   0 0

It's the binfmt_misc filesystem which needs to be mounted 
so you can register binary formats and their handlers. 
It lets you do: ./windowsexecutable, and run windows executables
through wine based on file type magic.

I use it for wine. 

This is the right place to mount it.

Comment 3 Ivan Gyurdiev 2005-01-24 21:08:21 UTC
You know it's amazing the amount of crap I have installed on this computer.
It's a great testing machine. I have 80% of rawhide + most of pre-extras + 
most of livna + most of jpackage + nvidia driver + cvs wine + transgaming cedega 
+ gstreamer development + other upstream stuff that's broken in Fedora.

Wine is an essential part of any linux distro - how else can I run
Warcraft 3 and Half Life 2 ? Well... it can't run hl2 yet, but 
eventually open source will prevail and it will run better than Cedega.

Comment 4 Ivan Gyurdiev 2005-01-29 16:53:28 UTC
This is wrong - the actual bug is mounting binfmt twice
if it is in fstab. That seems like a bug to me, and I'll
probably file one against inistscripts.

I suggest the change be reverted.



Comment 5 Daniel Walsh 2005-01-31 16:14:13 UTC
Reverted in 1.21.5-3



Note You need to log in before you can comment on or make changes to this bug.